Subject: [MMUSIC] mux-exclusive: Need to also update ICE considerations in section 5.1.3 of RFC 5761

From: Christer Holmberg <[email-masked]>
Date: Fri, 6 Nov 2015 08:18:52 +0000

Hi,

draft-holmberg-mmusic-mux-exclusive currently updates the SDP procedures in section 5.1.1 of RFC 5761.

No matter whether mux-exclusive will be based on the rtcp attribute, ICE, or both, section 5.1.3 (ICE Considerations) of RFC 5761 needs to be updated. It currently mandates an rtcp attribute with a fallback port, AND it mandates ICE candidates for both RTP and RTCP:

   If it is desired to use both ICE and multiplexed RTP and RTCP, the

   initial offer MUST contain an "a=rtcp-mux" attribute to indicate that

   RTP and RTCP multiplexing is desired and MUST contain "a=candidate:"

   lines for both RTP and RTCP along with an "a=rtcp:" line indicating a

   fallback port for RTCP in the case that the answerer does not support

   RTP and RTCP multiplexing.  This MUST be done for each media where

   RTP and RTCP multiplexing is desired.

Regards,

Christer